<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BillofladingController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Route::get('/shipping/billofladings/{billoflading}/print', [BillofladingController::class, 'show'])->name('shipping.billofladings.print');
Route::get('/shipping/billofladings/{billoflading}/pdf', [BillofladingController::class, 'pdf'])->name('shipping.billofladings.pdf');
Route::get('/shipping/billofladings/{billoflading}/email', [BillofladingController::class, 'email'])->name('shipping.billofladings.email');


Route::get('/shipping/billofladings/{billoflading}/shipment-advice', [BillofladingController::class, 'shipment_advice'])->name('shipping.billofladings.shipment-advice');